Last Comment Bug 525175 - Fix timing issue with test_name_nsRootAcc.xul on Linux.
: Fix timing issue with test_name_nsRootAcc.xul on Linux.
Status: RESOLVED FIXED
[fixed by bug 719754] [test disabled ...
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla13
Assigned To: alexander :surkov
:
Mentors:
Depends on: 492956 633725
Blocks: a11yrandomorange
  Show dependency treegraph
 
Reported: 2009-10-28 22:10 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2012-02-06 13:35 PST (History)
12 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch [Checkin: Comment 4] (1.01 KB, patch)
2009-10-28 22:54 PDT, alexander :surkov
mzehe: review+
Details | Diff | Splinter Review
a long shot [Checkin: Comment 18] (1.24 KB, patch)
2009-11-10 18:06 PST, David Bolter [:davidb]
mzehe: review+
surkov.alexander: review+
Details | Diff | Splinter Review
fix added windows failures [Checkin: Comment 28] (884 bytes, patch)
2009-11-11 19:00 PST, David Bolter [:davidb]
surkov.alexander: review+
Details | Diff | Splinter Review
investigative [Checkin: Comment 63] (1.66 KB, patch)
2010-02-11 12:54 PST, David Bolter [:davidb]
mzehe: review+
Details | Diff | Splinter Review
bail on linux (1.32 KB, patch)
2010-02-12 12:58 PST, David Bolter [:davidb]
no flags Details | Diff | Splinter Review
bail on linux2 [Checkin: Comment 78] (1.53 KB, patch)
2010-02-13 05:48 PST, alexander :surkov
dbolter: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor, back in August) 2009-10-28 22:10:02 PDT
At least three times today (that I spotted looking back through the ignored errors), a11y tests on Linux debug have blown up, reporting tens or hundreds of thousands of errors, all starting with

1889 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/test_name_nsRootAcc.xul | Test timed out

followed by thousands of

[SimpleTest/SimpleTest.js, window.onerror] An error occurred - nsIAccessibleEvent is not defined at chrome://mochikit/content/a11y/accessible/events.js:766

Logs I saw:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256785900.1256791549.21285.gz
Linux mozilla-central test debug everythingelse on 2009/10/28 20:11:40  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256763311.1256769275.28481.gz
Linux mozilla-central test debug everythingelse on 2009/10/28 13:55:11  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256751737.1256758120.31701.gz
Linux mozilla-central test debug everythingelse on 2009/10/28 10:42:17  

I haven't seen it before, and the first failure was just a couple of runs after bug 524665 landed, so I suppose (without understanding the code in the least) it could be a result of that, rather than just coincidence.
Comment 1 Serge Gautherie (:sgautherie) 2009-10-28 22:16:04 PDT
(In reply to comment #0)
> followed by thousands of

That behavior is tracked in bug 492956.
Comment 2 alexander :surkov 2009-10-28 22:54:09 PDT
Created attachment 409031 [details] [diff] [review]
patch
[Checkin: Comment 4]

this might help
Comment 3 Marco Zehe (:MarcoZ) on PTO until August 15 2009-10-28 22:57:41 PDT
Comment on attachment 409031 [details] [diff] [review]
patch
[Checkin: Comment 4]

r=me. Thanks!
Comment 4 alexander :surkov 2009-10-30 18:58:33 PDT
landed on 1.9.3 - http://hg.mozilla.org/mozilla-central/rev/aaaa9779a9a2

hope this will fix it
Comment 5 David Bolter [:davidb] 2009-11-09 06:58:11 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257765708.1257771744.17357.gz
Linux mozilla-central debug test everythingelse on 2009/11/09 03:21:48
Comment 6 Phil Ringnalda (:philor, back in August) 2009-11-09 17:06:14 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257791471.1257797839.4994.gz
Linux mozilla-central debug test everythingelse on 2009/11/09 10:31:11
Comment 7 Phil Ringnalda (:philor, back in August) 2009-11-10 12:45:01 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257876663.1257883552.16238.gz
Linux mozilla-central debug test everythingelse on 2009/11/10 10:11:03
Comment 8 Drew Willcoxon :adw 2009-11-10 15:04:11 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257886520.1257893272.26917.gz
Linux mozilla-central debug test everythingelse on 2009/11/10 12:55:20

Many many a11y failures as described, but unlike comment 0 the first failure is:

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/places/tests/browser/browser_library_views_liveupdate.js | Timed out
Comment 9 Phil Ringnalda (:philor, back in August) 2009-11-10 16:17:40 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257884834.1257891765.10041.gz#err1
Linux mozilla-central debug test everythingelse on 2009/11/10 12:27:14
Comment 10 David Bolter [:davidb] 2009-11-10 17:32:20 PST
Well this is annoying.I'm curious to see if this happens on the 192 branch as well.

Ginn this seems to hit linux only, have you seen it on open solaris?
Comment 11 David Bolter [:davidb] 2009-11-10 18:06:22 PST
Created attachment 411593 [details] [diff] [review]
a long shot
[Checkin: Comment 18]

worth a try?
Comment 12 alexander :surkov 2009-11-10 20:21:37 PST
(In reply to comment #11)
> Created an attachment (id=411593) [details]
> a long shot
> 
> worth a try?

Can you describe how this is going to help?
Comment 13 Ginn Chen 2009-11-10 20:38:22 PST
(In reply to comment #10)
> Ginn this seems to hit linux only, have you seen it on open solaris?

I don't have a box running mochitest-plain or mochitest-a11y all the time.
I haven't seen this timeout for my manually runs on Solaris.
Comment 14 Marco Zehe (:MarcoZ) on PTO until August 15 2009-11-10 21:57:20 PST
Comment on attachment 411593 [details] [diff] [review]
a long shot
[Checkin: Comment 18]

This is worth a shot. I was also thinking whether we could check if the window actually opened, and bail if it didn't within a certain amount of time. But I don't know if toolkit allows us to do that.
Comment 15 David Bolter [:davidb] 2009-11-11 05:37:15 PST
(In reply to comment #12)
> (In reply to comment #11)
> > Created an attachment (id=411593) [details] [details]
> > a long shot
> > 
> > worth a try?
> 
> Can you describe how this is going to help?

Not sure but I think the focus refactor might have changed eventing for non foreground windows; or a least there might be some strange interaction between gecko eventing and the Linux window manager. Making sure the opened window has is front-most and has focus might help.

Like I said, it is a long shot :)
Comment 16 David Bolter [:davidb] 2009-11-11 05:38:21 PST
Neil your thoughts on focus events and comment #15?
Comment 17 alexander :surkov 2009-11-11 06:42:59 PST
Comment on attachment 411593 [details] [diff] [review]
a long shot
[Checkin: Comment 18]

ok, at least I don't see anything bad here
Comment 18 David Bolter [:davidb] 2009-11-11 12:38:07 PST
Landed on central:
http://hg.mozilla.org/mozilla-central/rev/e12ee7ca0834

Note: Adding bug 521233 as a (likely) dependency -- I just discovered this bug now.
Comment 19 David Bolter [:davidb] 2009-11-11 16:44:03 PST
(In reply to comment #18)
> Landed on central:
> http://hg.mozilla.org/mozilla-central/rev/e12ee7ca0834
> 

This didn't work either.
Comment 20 David Bolter [:davidb] 2009-11-11 16:48:57 PST
Not sure if my push caused this but so far no Linux fails, but new to me, Windows fails.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257981877.1257984401.28000.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/11 15:24:37
Comment 21 Phil Ringnalda (:philor, back in August) 2009-11-11 18:25:42 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257986719.1257992406.20502.gz#err0
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/11 16:45:19
Comment 22 David Bolter [:davidb] 2009-11-11 18:29:55 PST
The silly part of me want to try only doing the focus only if (LINUX). Let's see if the instances have truly flipped only to Windows.
Comment 23 David Bolter [:davidb] 2009-11-11 18:30:23 PST
If so, then it will tell use more about where to look (OS specific)
Comment 24 Phil Ringnalda (:philor, back in August) 2009-11-11 18:33:58 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257989754.1257993019.27386.gz
WINNT 5.2 mozilla-central opt test everythingelse on 2009/11/11 17:35:54
Comment 25 David Bolter [:davidb] 2009-11-11 19:00:41 PST
Created attachment 411871 [details] [diff] [review]
fix added windows failures
[Checkin: Comment 28]
Comment 26 alexander :surkov 2009-11-11 19:34:48 PST
Comment on attachment 411871 [details] [diff] [review]
fix added windows failures
[Checkin: Comment 28]

let's try
Comment 27 Marco Zehe (:MarcoZ) on PTO until August 15 2009-11-11 22:05:35 PST
Comment on attachment 411871 [details] [diff] [review]
fix added windows failures
[Checkin: Comment 28]

My thoughts exactly. :) Let's land this and see what happens.
Comment 28 David Bolter [:davidb] 2009-11-11 23:18:41 PST
http://hg.mozilla.org/mozilla-central/rev/ca31932ed41b
Comment 29 Daniel Holbert [:dholbert] 2009-11-12 09:01:29 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258038507.1258044884.29070.gz
Linux mozilla-central debug test everythingelse on 2009/11/12 07:08:27
s: moz2-linux-slave01

Looks like comment 28 didn't fix it. :(
Comment 30 David Bolter [:davidb] 2009-11-12 09:59:01 PST
Daniel is it less noisy at least?
Comment 31 Daniel Holbert [:dholbert] 2009-11-12 10:04:34 PST
From a quick glance at the log in comment 29 versus the one in comment 24, it appears to be just as noisy as before.
Comment 32 Daniel Holbert [:dholbert] 2009-11-12 10:07:48 PST
However, it looks like the changeset in comment 28 was targeted at fixing Windows failures -- and the recent orange (comment 29) was on Linux.  (I don't really know the backstory here, so I don't know if that's significant.)
Comment 34 David Bolter [:davidb] 2009-11-16 12:21:53 PST
(In reply to comment #31)
> From a quick glance at the log in comment 29 versus the one in comment 24, it
> appears to be just as noisy as before.

Just to be clear, I meant noisy == the frequency of this bug :)
Comment 35 Phil Ringnalda (:philor, back in August) 2009-11-18 19:16:03 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258581730.1258593696.15607.gz
Linux mozilla-central debug test everythingelse on 2009/11/18 14:02:10
s: moz2-linux-slave13
Comment 36 Marco Bonardo [::mak] (Away 6-20 Aug) 2009-12-01 08:34:04 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259675396.1259682883.24231.gz
Linux mozilla-central debug test everythingelse on 2009/12/01 05:49:56
s: moz2-linux-slave02
Comment 37 Daniel Holbert [:dholbert] 2009-12-01 23:42:35 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259716936.1259724448.17969.gz
Linux mozilla-central debug test everythingelse on 2009/12/01 17:22:16
s: moz2-linux-slave10
Comment 38 Daniel Holbert [:dholbert] 2009-12-01 23:44:22 PST
bug 513605 looks like the same underlying issue (or at least same symptom), with a different test timing out.
Comment 39 Phil Ringnalda (:philor, back in August) 2009-12-17 21:12:50 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261102092.1261111207.23385.gz
Linux mozilla-central debug test everythingelse on 2009/12/17 18:08:12
s: moz2-linux-slave01
Comment 40 Drew Willcoxon :adw 2009-12-28 15:20:17 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262034124.1262041846.31771.gz
Linux mozilla-central debug test everythingelse on 2009/12/28 13:02:04
Comment 41 Phil Ringnalda (:philor, back in August) 2010-01-22 12:14:21 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264184354.1264187294.31064.gz
Linux mozilla-central debug test mochitest-other on 2010/01/22 10:19:14
s: moz2-linux-slave15
Comment 42 Kyle Huey [:khuey] (khuey@mozilla.com) 2010-01-23 06:15:57 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264249977.1264251341.2756.gz
Comment 43 Phil Ringnalda (:philor, back in August) 2010-01-27 16:45:23 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264635959.1264638529.24737.gz
Linux mozilla-central debug test mochitest-other on 2010/01/27 15:45:59
s: moz2-linux-slave41
Comment 44 Phil Ringnalda (:philor, back in August) 2010-02-09 13:37:02 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265747526.1265751128.17627.gz
Linux mozilla-central debug test mochitest-other on 2010/02/09 12:32:06
s: moz2-linux-slave06
Comment 45 Phil Ringnalda (:philor, back in August) 2010-02-09 16:46:58 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265759399.1265762175.11113.gz
Linux mozilla-central debug test mochitest-other on 2010/02/09 15:49:59
s: moz2-linux-slave06
Comment 46 Mats Palmgren (vacation) 2010-02-09 20:36:36 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265767077.1265771803.23716.gz
Linux mozilla-central debug test mochitest-other on 2010/02/09 17:57:57
Comment 47 Phil Ringnalda (:philor, back in August) 2010-02-10 12:09:09 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265828593.1265831653.510.gz
Linux mozilla-central debug test mochitest-other on 2010/02/10 11:03:13
s: moz2-linux-slave13
Comment 48 Phil Ringnalda (:philor, back in August) 2010-02-10 13:58:28 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265835889.1265838318.12383.gz
Linux mozilla-central debug test mochitest-other on 2010/02/10 13:04:49
s: moz2-linux-slave08
Comment 49 Phil Ringnalda (:philor, back in August) 2010-02-10 14:53:26 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265839144.1265841969.21024.gz
Linux mozilla-central debug test mochitest-other on 2010/02/10 13:59:04
s: moz2-linux-slave09
Comment 51 Jonathan Kew (:jfkthame) 2010-02-11 04:03:13 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265884122.1265886905.6646.gz
Linux mozilla-central debug test mochitest-other on 2010/02/11 02:28:42
s: moz2-linux-slave06
Comment 52 Phil Ringnalda (:philor, back in August) 2010-02-11 09:44:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265876440.1265879188.14732.gz
Linux mozilla-central debug test mochitest-other on 2010/02/11 00:20:40
s: moz2-linux-slave41
Comment 53 Phil Ringnalda (:philor, back in August) 2010-02-11 10:30:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265902178.1265905849.7173.gz
Linux mozilla-central debug test mochitest-other on 2010/02/11 07:29:38
s: moz2-linux-slave11
Comment 54 Phil Ringnalda (:philor, back in August) 2010-02-11 10:31:26 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265899813.1265903479.12893.gz
Linux mozilla-central debug test mochitest-other on 2010/02/11 06:50:13
s: moz2-linux-slave01
Comment 55 David Bolter [:davidb] 2010-02-11 12:54:47 PST
Created attachment 426560 [details] [diff] [review]
investigative
[Checkin: Comment 63]
Comment 56 Phil Ringnalda (:philor, back in August) 2010-02-11 16:18:38 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265928360.1265933013.26893.gz
Linux mozilla-central debug test mochitest-other on 2010/02/11 14:46:00
s: moz2-linux-slave07
Comment 57 Phil Ringnalda (:philor, back in August) 2010-02-11 17:27:11 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265933791.1265937772.16930.gz
Linux mozilla-central debug test mochitest-other on 2010/02/11 16:16:31
s: moz2-linux-slave09
Comment 58 Marco Zehe (:MarcoZ) on PTO until August 15 2010-02-11 22:47:18 PST
Comment on attachment 426560 [details] [diff] [review]
investigative
[Checkin: Comment 63]

In absence of a better idea to try, let's try this. I really am not sure why this is failing so often.
Comment 59 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-02-11 23:56:58 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265957634.1265960179.5947.gz#err0
Linux mozilla-central debug test mochitest-other on 2010/02/11 22:53:54  
s: moz2-linux-slave12
Comment 60 David Bolter [:davidb] 2010-02-12 06:28:15 PST
investigative: http://hg.mozilla.org/mozilla-central/rev/e24c49718527
Comment 61 alexander :surkov 2010-02-12 06:33:18 PST
(In reply to comment #60)
> investigative: http://hg.mozilla.org/mozilla-central/rev/e24c49718527

I can't see any changes.
Comment 62 David Bolter [:davidb] 2010-02-12 06:59:17 PST
(In reply to comment #61)
> (In reply to comment #60)
> > investigative: http://hg.mozilla.org/mozilla-central/rev/e24c49718527
> 
> I can't see any changes.

Wild. Let's try again.

investigative: http://hg.mozilla.org/mozilla-central/rev/145556db94fb
Comment 63 David Bolter [:davidb] 2010-02-12 07:00:07 PST
Uhm I mean: http://hg.mozilla.org/mozilla-central/rev/4b18d31e83f4
/me grabs coffee
Comment 64 David Bolter [:davidb] 2010-02-12 08:57:54 PST
Sigh.
Linux mozilla-central debug test mochitest-other
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265990792.1265993637.31660.gz

(Maybe it will get more frequent now that we don't especially focus the dialog on linux)
Comment 65 Timothy Nikkel (:tnikkel) 2010-02-12 11:48:36 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265999005.1266003076.14356.gz
Linux mozilla-central debug test mochitest-other on 2010/02/12 10:23:25
s: moz2-linux-slave09
Comment 66 Timothy Nikkel (:tnikkel) 2010-02-12 12:15:27 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266002363.1266005337.8409.gz
Linux mozilla-central debug test mochitest-other on 2010/02/12 11:19:23
s: moz2-linux-slave08
Comment 67 David Bolter [:davidb] 2010-02-12 12:58:24 PST
Created attachment 426727 [details] [diff] [review]
bail on linux

We should probably stop the noise and figure this out offline; or take stabs at it during off peak hours.
Comment 68 David Bolter [:davidb] 2010-02-12 13:22:30 PST
Comment on attachment 426727 [details] [diff] [review]
bail on linux

Cancelling review; I have to step away - Alexander can tidy this up and land it.
Comment 71 alexander :surkov 2010-02-13 05:48:08 PST
Created attachment 426825 [details] [diff] [review]
bail on linux2
[Checkin: Comment 78]
Comment 72 Shawn Wilsher :sdwilsh 2010-02-17 15:24:09 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266446100.1266448570.901.gz&fulltext=1
Linux mozilla-central debug test mochitest-other [testfailed] Started 14:35, finished 15:17
Comment 73 Jonathan Kew (:jfkthame) 2010-02-18 03:32:05 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266483229.1266485625.24659.gz
Linux mozilla-central debug test mochitest-other on 2010/02/18 00:53:49
s: moz2-linux-slave08
Comment 74 Timothy Nikkel (:tnikkel) 2010-02-18 14:43:52 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266528454.1266532186.23863.gz
Linux mozilla-central debug test mochitest-other on 2010/02/18 13:27:34
s: moz2-linux-slave02
Comment 75 Kyle Huey [:khuey] (khuey@mozilla.com) 2010-02-18 19:14:15 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266543457.1266546436.13845.gz
s: moz2-linux-slave102966 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/test_name_nsRootAcc.xul | Test timed out.
2969 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/a11y/accessible/test_nsIAccessNode_utils.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: [accessible/events.js, gA11yEventObserver.observe] This is expected if a previous test has been aborted... Initial exception was: [ ReferenceError: nsIAccessibleEvent is not defined ] at :0
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
Comment 76 Boris Zbarsky [:bz] 2010-02-19 09:27:36 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266576297.1266578783.30714.gz
Linux mozilla-central debug test mochitest-other on 2010/02/19 02:44:57  
s: moz2-linux-slave15
Comment 77 Boris Zbarsky [:bz] 2010-02-19 10:38:33 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266601430.1266604090.16626.gz
Linux mozilla-central debug test mochitest-other on 2010/02/19 09:43:50  
s: moz2-linux-slave02
Comment 78 David Bolter [:davidb] 2010-02-19 11:02:16 PST
Comment on attachment 426825 [details] [diff] [review]
bail on linux2
[Checkin: Comment 78]

Yep, thanks.
Pushed as http://hg.mozilla.org/mozilla-central/rev/899cf3b6f797

Sorry for the oranges folks.
Comment 79 :Ehsan Akhgari 2010-02-19 12:11:57 PST
Should this still be a random orange bug?
Comment 80 David Bolter [:davidb] 2010-02-19 12:57:01 PST
Removed orange keyword and morphed bug summary.
Comment 81 David Dahl :ddahl 2010-02-19 13:58:36 PST
Linux mozilla-central debug test mochitest-other [testfailed] Started 12:02, finished 12:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266609738.1266612717.13303.gz
Comment 82 Serge Gautherie (:sgautherie) 2010-02-19 15:53:12 PST
(In reply to comment #80)
> Removed orange keyword and morphed bug summary.

I would not have changed them, as this is worked around, not fixed:
yet less need to find this bug if the failure doesn't occur anymore,
it may just miss some attention.
Comment 83 Marco Bonardo [::mak] (Away 6-20 Aug) 2010-03-18 03:48:32 PDT
this does not look like a browser chrome test, how can it depend on bug 521233?
Comment 84 alexander :surkov 2010-03-18 06:28:21 PDT
(In reply to comment #83)
> this does not look like a browser chrome test, how can it depend on bug 521233?

a11y tests are chrome tests.
Comment 85 alexander :surkov 2010-03-18 06:32:46 PDT
(In reply to comment #84)
> (In reply to comment #83)
> > this does not look like a browser chrome test, how can it depend on bug 521233?
> 
> a11y tests are chrome tests.

and a11y tests use waitForFocus function so it might be related, theoretically I think
Comment 86 David Bolter [:davidb] 2010-03-18 06:34:58 PDT
Right, I set the dependency so I would remember retry this test when 532233 is fixed.
Comment 87 Marco Bonardo [::mak] (Away 6-20 Aug) 2010-03-18 06:51:33 PDT
(In reply to comment #84)
> (In reply to comment #83)
> > this does not look like a browser chrome test, how can it depend on bug 521233?
> 
> a11y tests are chrome tests.

that bug is only about BROWSER chrome tests, nobody ever reported issues with waitForFocus in Chrome tests. if you can tell the issue is waitForFocus, than we should change that bug to be generic.
Comment 88 alexander :surkov 2012-02-05 21:51:41 PST
fixed by bug 719754

Note You need to log in before you can comment on or make changes to this bug.